Gets the badge totals for unread/unarchived notifications for the current user
Returns the count of unread and unarchived notifications. Use lastCheckDateTimeUtc to determine
how many are new since the last check. By default, only the latest 250 notifications are considered
unless noLimit is set to true.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| lastCheckDateTimeUtc | UTC DateTime (format: yyyy-MM-ddTHH:mm:ssZ) for calculating new notifications since last check. If omitted, TotalNotifications equals NewNotifications. | string (date-time) | Optional |
| noLimit | When true, includes all notifications rather than only the 250 most recent | boolean | Optional |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
NotificationBadgeResponse
| Property | Description | Type |
|---|---|---|
| lastCheckDateTimeUtc | The date and time in UTC the query to get the badge data was run | string (date-time) |
| newNotifications | Total of unread and unarchived notifications since the last checked date time | integer (int32) |
| totalNotifications | Total of unread and unarchived notifications | integer (int32) |
Example Response
{ "lastCheckDateTimeUtc": "2026-06-29", "newNotifications": 1, "totalNotifications": 1
}